Subject: Re: More DLL fun! [fwd: ]
From: Fergus Henderson <[email-masked]>
To: Emanuele ALIBERTI <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 16 Jul 1999 15:11:44 +1000

On 15-Jul-1999, Emanuele ALIBERTI <[email-masked]> wrote:
> > > I am trying to compare 2 pointers to functions.
> > > All I am looking for is if they match or not.
> > > The pointers are to a function.
> > > The function is in a DLL, and the first place to get the
> > > function pointer is in an exe.
> > > The following is kind of a code sample (kind of but not really).
> 
> The behaviour is correct.

That depends on what you mean by "correct"!
That behaviour described does not conform to the ANSI/ISO C standard.

It may well be that this behaviour is what the Microsoft compiler does.
However, I think you should choose your words more carefully, rather
than just saying that the behaviour is "correct".  For example, if
that is indeed what the MS compiler does, then you could instead describe
this behaviour as being "bug-for-bug compatible with the MS compiler" ;-)

-- 
Fergus Henderson <[email-masked]>  |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>  |  of excellence is a lethal habit"
PGP: finger [email-masked]        |     -- the last words of T. S. Garp.

--
Want to unsubscribe from this list?
Send a message to [email-masked]